Skip to content

Update a virtual MCP

Request

OAuth 2.0 scope:
  • okta.resourceServers.virtualMcpServers.manage
Admin roles:
  • SUPER_ADMIN

Updates a virtual MCP. Use this request to perform partial updates on virtual MCP properties. Send only the fields to update. Use null to remove a value.

Path
virtualMcpServerIdstringrequired

ID of a virtual MCP

Example:wlp1aB2cD3eF4gH5iJ6k
Bodyapplication/merge-patch+jsonrequired
profileobject
PATCH
/workload-principals/api/v1/virtual-mcp-servers/{virtualMcpServerId}
curl -i -X PATCH \
  https://subdomain.okta.com/workload-principals/api/v1/virtual-mcp-servers/wlp1aB2cD3eF4gH5iJ6k \
  -H 'Content-Type: application/merge-patch+json' \
  -d '{
    "profile": {
      "displayName": "Updated Production MCP Servers",
      "description": "Updated description for the production MCP server group"
    }
  }'

Responses

OK

Bodyapplication/json
createdstring, (date-time)read-onlyrequired

Timestamp when the virtual MCP was created

Example:"2025-06-01T10:00:00Z"
idstringread-onlyrequired

Unique identifier for the virtual MCP

Example:"wlp1aB2cD3eF4gH5iJ6k"
lastUpdatedstring, (date-time)read-onlyrequired

Timestamp when the virtual MCP was last updated

Example:"2025-06-15T14:30:00Z"
ornstringread-onlyrequired

The ORN of the virtual MCP

Example:"orn:okta:directory:00o1gjjp4jsdR3Sww4x7:workload-principals:virtual-mcp:wlp1aB2cD3eF4gH5iJ6k"
profileobject(VirtualMCPProfile)required

Profile for the virtual MCP, which can be edited by the admin

statusstringrequired

Current status of the virtual MCP in its lifecycle

Enum ValueDescription
INACTIVE

Virtual MCP is inactive

ACTIVE

Virtual MCP is active and operational

Example:"ACTIVE"
Response
{ "id": "wlp1aB2cD3eF4gH5iJ6k", "orn": "orn:okta:directory:00o1gjjp4jsdR3Sww4x7:workload-principals:virtual-mcp:wlp1aB2cD3eF4gH5iJ6k", "status": "ACTIVE", "profile": { "displayName": "Production MCP Servers", "description": "Groups all production MCP servers for the engineering team" }, "created": "2025-06-01T10:00:00Z", "lastUpdated": "2025-06-15T14:30:00Z", "_links": { "self": {}, "resource-server": {} } }